%define Name Tellico

%def_enable libkcddb
%def_enable libkcal
%def_enable amazon
%def_enable imdb
%def_enable cdtext
%def_enable yaz
%def_without ooo

%def_disable debug
%define debug full
%def_disable profile
%def_disable pch
%def_with pic
%def_disable rpath
%define btparselib static

Name: tellico
Version: 1.2.13
Release: alt1
Summary: A collection manager
Summary(uk_UA.CP1251):  
License: GPL
Group: Databases
URL: http://www.periapsis.org/%name/
Source: %{url}download/%name-%version.tar.bz2

# Automatically added by buildreq on Mon Jul 30 2007
#BuildRequires: gcc-c++ glibc-devel-static imake kdemultimedia-devel kdemultimedia-libs kdepim-devel libdnet-devel libjpeg-devel libssl-devel libtag-devel libwrap-devel libXext-devel libxslt-devel libXt-devel libyaz-devel qt3-designer xml-utils xorg-cf-files

BuildRequires: fontconfig gcc-c++ libjpeg-devel
BuildRequires: libpng-devel libtag-devel qt3-designer xml-utils
BuildRequires: libXext-devel libXt-devel xorg-cf-files
BuildRequires: kdelibs-devel >= 3.3.1
BuildRequires: libxslt-devel >= 1.0.19
BuildRequires: libxml2-devel >= 2.6

%{?_enable_libkcal:BuildRequires: kdepim-libs >= 3.4 kdepim-devel >= 3.4}
%{?_enable_libkcddb:BuildRequires: kdemultimedia-libs >= 3.2 kdemultimedia-devel >= 3.2}
%{?_enable_yaz:BuildRequires: libssl-devel libwrap-devel libyaz-devel >= 2.0}

%description
%Name is an KDE application for organizing your collections. It
provides default templates for books, bibliographies, comic books,
videos, music, coins, stamps, trading cards, video games, wines, and
file listings. In addition, custom collections can be built for any
other type of collectibles.

%description -l uk_UA.CP1251
%Name - KDE-    .  
   , , , , ,
, , , , ,  .  
    -.


%prep
%setup
#subst 's/dnet_ntoa/addr_ntoa/g' configure


%build
#%__autoreconf
%configure \
    %{subst_with pic} \
    %{subst_enable rpath} \
%if_enabled debug
    --enable-debug=%debug} \
%else
    --disable-debug \
%endif
    %{subst_enable profile} \
    %{subst_enable pch} \
    --with-btparse=%btparselib \
    %{subst_enable libkcddb} \
    %{subst_enable libkcal} \
    %{subst_enable amazon} \
    %{subst_enable imdb} \
    %{subst_enable cdtext} \
%if_with ooo
    --enable-ooo \
    --with-ooo-dir=%_libdir/OpenOffice.org2
%else
    --disable-ooo
%endif
%make_build


%install
%make_install DESTDIR=%buildroot install

mv %buildroot%_desktopdir/kde/%name.desktop %buildroot%_desktopdir/
rm -rf %buildroot{%_datadir/applnk,%_desktopdir/kde}
bzip2 --keep --best --force -- ChangeLog

#menu
iconv -f cp1251 -t utf-8 >> %buildroot%_desktopdir/%name.desktop <<__MENU__
Version=1.0
Comment[uk]=   
GenericName[uk]= 
__MENU__

%find_lang %name --with-kde


%post
%update_menus


%postun
%clean_menus


%files -f %name.lang
%doc AUTHORS ChangeLog.*
%_bindir/*
%_desktopdir/*
%_datadir/mimelnk/application/*
%dir %_datadir/apps/%name
%_datadir/apps/%name/*
%_datadir/apps/kconf_update/*
%_datadir/config.kcfg/*
%_iconsdir/hicolor/*/*/%name.png


%changelog
* Mon Jul 30 2007 Led <led@altlinux.ru> 1.2.13-alt1
- 1.2.13

* Sun Jul 15 2007 Led <led@altlinux.ru> 1.2.12-alt1
- 1.2.12

* Mon May 14 2007 Led <led@altlinux.ru> 1.2.11-alt1
- 1.2.11
- cleaned up BuildRequires

* Tue Apr 10 2007 Led <led@altlinux.ru> 1.2.10-alt1
- 1.2.10

* Wed Mar 07 2007 Led <led@altlinux.ru> 1.2.9-alt1
- 1.2.9

* Tue Feb 06 2007 Led <led@altlinux.ru> 1.2.8-alt1
- 1.2.8

* Fri Dec 08 2006 Led <led@altlinux.ru> 1.2.7-alt1
- 1.2.7

* Mon Nov 13 2006 Led <led@altlinux.ru> 1.2.6-alt1
- 1.2.6

* Thu Nov 09 2006 Led <led@altlinux.ru> 1.2.5-alt1
- 1.2.5

* Mon Oct 16 2006 Led <led@altlinux.ru> 1.2.4-alt1
- 1.2.4

* Tue Sep 26 2006 Led <led@altlinux.ru> 1.2.3-alt1
- 1.2.3
- fixed BuildRequires (upstream)

* Fri Sep 08 2006 Led <led@altlinux.ru> 1.2.2-alt1
- 1.2.2

* Thu Sep 07 2006 Led <led@altlinux.ru> 1.2.1-alt1
- 1.2.1 (fix release)
- fixed BuildRequires
- enabled YAZ

* Tue Sep 05 2006 Led <led@altlinux.ru> 1.2-alt1
- 1.2
- fixed spec

* Wed Jun 14 2006 Led <led@altlinux.ru> 1.1.6-alt1
- 1.1.6
- fixed spec

* Tue May 16 2006 Led <led@altlinux.ru> 1.1.3-alt2
- fixed BuildRequires

* Mon May 15 2006 Led <led@altlinux.ru> 1.1.3-alt1
- 1.1.3
- cleaned up spec

* Thu Oct 13 2005 Vitaly Lipatov <lav@altlinux.ru> 1.0.2-alt1
- NMU: new version (#7932, #8051)
- fix unescaped macros (#7931)
- cleanup spec
- add menu file
- remove COPYING from doc (the same as License field)

* Tue Jun 21 2005 Alexander Bokovoy <ab@altlinux.ru> 0.13.7-alt1
- 0.13.7

* Sun Dec 26 2004 Alexander Bokovoy <ab@altlinux.ru> 0.13.1-alt1
- New version

* Sun Dec 26 2004 Alexander Bokovoy <ab@altlinux.ru> 0.12-alt1
- Initial packaging

* Thu Sep 23 2004 Micheal D. Moery <rpm at rockerssoft.com> 0.12-1
- Updated to v0.12.  Renamed to Tellico because of trademark conflict.
- Tellico 0.12 is identical to Bookcase 0.11, except for the name change.

* Sun Sep 05 2004 Micheal D. Moery <rpm at rockerssoft.com> 0.11-1
- Updated to v0.11.

* Mon May 31 2004 Micheal D. Moery <rpm at rockerssoft.com> 0.9.3-1
- Updated for v0.9.3.

* Wed May 19 2004 Micheal D. Moery <rpm at rockerssoft.com> 0.9.2-1
- Updated for v0.9.2.

* Sun May 10 2004 Micheal D. Moery <rpm at rockerssoft.com> 0.9.1-3
- Spec file housekeeping - no feature changes.

* Fri May  7 2004 Micheal D. Moery <rpm at rockerssoft.com> 0.9.1
- Recompiled for version 0.9.1.

* Sat Apr 24 2004 Micheal D. Moery <rpm at rockerssoft.com> 0.9
- Recompiled for version 0.9.

* Thu Mar 11 2004 Micheal D. Moery <rpm at rockerssoft.com> 0.8.5
- Recompiled for version 0.8.5

* Sun Feb 22 2004 Micheal D. Moery <rpm at rockerssoft.com> 0.8.4
- Recompiled for version 0.8.4

* Wed Feb 11 2004 Micheal D. Moery <rpm at rockerssoft.com> 0.8.3
- Recompiled for version 0.8.3

* Sat Jan 31 2004 Micheal D. Moery <rpm at rockerssoft.com> 0.8
- Recompiled for version 0.8

* Tue Dec 30 2003 Robert Rockers <rpm at rockerssoft.com> 0.7.2
- Recompiled for version 0.7.2

* Mon Nov 10 2003 Robert Rockers <rpm at rockerssoft.com> 0.7.1
- Recompiled for version 0.7.1

* Wed Aug 20 2003 Robert Rockers <rpm at rockerssoft.com> 0.6.6
- Recompiled for version 0.6.6.

* Tue Aug 12 2003 Robert Rockers <rpm at rockerssoft.com> 0.6.5
- Recompiled for version 0.6.5.

* Mon May 12 2003 Robert Rockers <rpm at rockerssoft.com> 0.6.3
- Recompiled for version 0.6.3. Removed the touch fixes as they were not needed
- for this version.

* Mon May 12 2003 Robert Rockers <rpm at rockerssoft.com> 0.6.2
- Recompiled for version 0.6.2.

* Wed May 7 2003 Robert Rockers <rpm at rockerssoft.com> 0.6.1
- Recompiled for version 0.6.1.

* Mon May 5 2003 Robert Rockers <rpm at rockerssoft.com> 0.6
- Initial RedHat RPM release.
